%define upstream_name    Class-Field
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Class Field Accessor Generator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Class::Field exports two subroutines, 'field' and 'const'. These functions
are used to declare fields and constants in your class.

Class::Field generates custom code for each accessor that is optimized for
speed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.240.0-4.mga10
+ Revision: 2205384
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.240.0-3.mga9
+ Revision: 1811346
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.240.0-2.mga8
+ Revision: 1522992
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Feb 14 2019 tv <tv> 0.240.0-1.mga7
+ Revision: 1366967
- update to 0.24

* Wed Sep 19 2018 umeabot <umeabot> 0.230.0-7.mga7
+ Revision: 1266318
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.230.0-6.mga6
+ Revision: 1023966
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.230.0-5.mga6
+ Revision: 949498
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.230.0-4.mga5
+ Revision: 789956
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-3.mga5
+ Revision: 747627
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-2.mga5
+ Revision: 683913
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 sander85 <sander85> 0.230.0-1.mga5
+ Revision: 666477
- update to 0.23

* Sun Aug 17 2014 sander85 <sander85> 0.220.0-1.mga5
+ Revision: 664574
- update to 0.22

* Sat Aug 16 2014 sander85 <sander85> 0.210.0-1.mga5
+ Revision: 664339
- update to 0.21

* Sun Aug 03 2014 sander85 <sander85> 0.190.0-1.mga5
+ Revision: 659398
- update to 0.19

* Fri Aug 01 2014 sander85 <sander85> 0.170.0-1.mga5
+ Revision: 658933
- update to 0.17

* Sun Jul 27 2014 sander85 <sander85> 0.160.0-1.mga5
+ Revision: 657505
- update to 0.16

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-3.mga4
+ Revision: 510133
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 364358
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 25903
- mageia rebuild
- imported package perl-Class-Field

